with mcc.gui.container.window;
with ada.text_io;
with fred;
use fred;

procedure window2 is
   Window  : aliased mcc.gui.container.window.main_window;

begin
   -- test window functions
   mcc.gui.container.window.create(window,
      100,100,300,300);
   mcc.gui.container.window.set_title(window,"Fr""ed");
   delay 1.0;
   mcc.gui.container.window.hide(window);
   delay 1.0;
   mcc.gui.container.window.show(window);
   mcc.gui.container.window.to_top(window);
   mcc.gui.container.window.set_close_handler(
      window'unchecked_access,
      close_callback'unrestricted_access);
   mcc.gui.container.window.set_resize_handler(
      window'unchecked_access,
      resize_callback'unrestricted_access);
   mcc.gui.container.window.event_loop;
end window2;
